<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>CacheConfiguration.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Test App J Hipster</a> &gt; <a href="index.source.html" class="el_package">com.theo.myjhipster.config</a> &gt; <span class="el_source">CacheConfiguration.java</span></div><h1>CacheConfiguration.java</h1><pre class="source lang-java linenums">package com.theo.myjhipster.config;

import java.time.Duration;

import org.ehcache.config.builders.*;
import org.ehcache.jsr107.Eh107Configuration;

import io.github.jhipster.config.jcache.BeanClassLoaderAwareJCacheRegionFactory;
import io.github.jhipster.config.JHipsterProperties;

import org.springframework.boot.autoconfigure.cache.JCacheManagerCustomizer;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.*;

@Configuration
@EnableCaching
public class CacheConfiguration {

    private final javax.cache.configuration.Configuration&lt;Object, Object&gt; jcacheConfiguration;

<span class="fc" id="L21">    public CacheConfiguration(JHipsterProperties jHipsterProperties) {</span>
<span class="fc" id="L22">        BeanClassLoaderAwareJCacheRegionFactory.setBeanClassLoader(this.getClass().getClassLoader());</span>
<span class="fc" id="L23">        JHipsterProperties.Cache.Ehcache ehcache =</span>
<span class="fc" id="L24">            jHipsterProperties.getCache().getEhcache();</span>

<span class="fc" id="L26">        jcacheConfiguration = Eh107Configuration.fromEhcacheCacheConfiguration(</span>
<span class="fc" id="L27">            CacheConfigurationBuilder.newCacheConfigurationBuilder(Object.class, Object.class,</span>
<span class="fc" id="L28">                ResourcePoolsBuilder.heap(ehcache.getMaxEntries()))</span>
<span class="fc" id="L29">                .withExpiry(ExpiryPolicyBuilder.timeToLiveExpiration(Duration.ofSeconds(ehcache.getTimeToLiveSeconds())))</span>
<span class="fc" id="L30">                .build());</span>
<span class="fc" id="L31">    }</span>

    @Bean
    public JCacheManagerCustomizer cacheManagerCustomizer() {
<span class="fc" id="L35">        return cm -&gt; {</span>
<span class="nc" id="L36">            cm.createCache(com.theo.myjhipster.repository.UserRepository.USERS_BY_LOGIN_CACHE, jcacheConfiguration);</span>
<span class="nc" id="L37">            cm.createCache(com.theo.myjhipster.repository.UserRepository.USERS_BY_EMAIL_CACHE, jcacheConfiguration);</span>
<span class="nc" id="L38">            cm.createCache(com.theo.myjhipster.domain.User.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L39">            cm.createCache(com.theo.myjhipster.domain.Authority.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L40">            cm.createCache(com.theo.myjhipster.domain.User.class.getName() + &quot;.authorities&quot;, jcacheConfiguration);</span>
<span class="nc" id="L41">            cm.createCache(com.theo.myjhipster.domain.CerereAchizitie.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L42">            cm.createCache(com.theo.myjhipster.domain.Departament.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L43">            cm.createCache(com.theo.myjhipster.domain.Departament.class.getName() + &quot;.angajats&quot;, jcacheConfiguration);</span>
<span class="nc" id="L44">            cm.createCache(com.theo.myjhipster.domain.Angajat.class.getName(), jcacheConfiguration);</span>
<span class="nc" id="L45">            cm.createCache(com.theo.myjhipster.domain.Angajat.class.getName() + &quot;.functies&quot;, jcacheConfiguration);</span>
<span class="nc" id="L46">            cm.createCache(com.theo.myjhipster.domain.Functie.class.getName(), jcacheConfiguration);</span>
            // jhipster-needle-ehcache-add-entry
<span class="nc" id="L48">        };</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>